LessEqualBoolean (JEvolution)
Date: 2013-03-21

evSOLve.JEvolution.gp.nodes

## Class LessEqualBoolean

- java.lang.Object
- - evSOLve.JEvolution.gp.ProgramNode
  - - evSOLve.JEvolution.gp.nodes.LessEqualBoolean

- All Implemented Interfaces:
    java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

      public class LessEqualBoolean
      extends ProgramNode

- - ### Field Summary

    - ### Fields inherited from class evSOLve.JEvolution.gp.ProgramNode

      `children, parent, TYPE_BOOLEAN, TYPE_DOUBLE, TYPE_INT, TYPE_UNDEFINED, values`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LessEqualBoolean()` Constructing the function with two operands.
    `LessEqualBoolean(Element n)` Creates the function via XML.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `eval()` Compares first with second child.
    `int` | `getOperandType(int index)` Returns the operand type for both children.
    `int` | `getResultType()` Returns the result type.
    `java.lang.String` | `getSignature()` Returns the string signature of the node.
    `void` | `mutate()` Changes the operand sequence.
    `java.lang.String` | `toString()` Returns the string representation of the node.

    - ### Methods inherited from class evSOLve.JEvolution.gp.ProgramNode

      `addValue, children, clearValues, clone, create, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getLevel, getParent, hashCode, insert, isLeaf, randomize, remove, remove, removeFromParent, setParent, setUserObject, toXml`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LessEqualBoolean

          public LessEqualBoolean()

      Constructing the function with two operands.

    - #### LessEqualBoolean

          public LessEqualBoolean(Element n)

      Creates the function via XML.
      Parameters:
        `n` - an XML node element

  - ### Method Detail

    - #### getOperandType

          public int getOperandType(int index)

      Returns the operand type for both children.
      Overrides:
        `getOperandType` in class `ProgramNode`
      Parameters:
        `index` - a child index
      Returns:
        TYPE_DOUBLE

    - #### getResultType

          public int getResultType()

      Returns the result type.
      Specified by:
        `getResultType` in class `ProgramNode`
      Returns:
        TYPE_BOOLEAN

    - #### eval

          public java.lang.Object eval()

      Compares first with second child. If the first is less or equal than the second, true is returned.
      Specified by:
        `eval` in class `ProgramNode`
      Returns:
        true, if first child (index 0) less or equal second child (index 1)

    - #### mutate

          public void mutate()

      Changes the operand sequence.
      Overrides:
        `mutate` in class `ProgramNode`

    - #### getSignature

          public java.lang.String getSignature()

      Returns the string signature of the node.
      Specified by:
        `getSignature` in class `ProgramNode`
      Returns:
        the node's signature

    - #### toString

          public java.lang.String toString()

      Returns the string representation of the node.
      Specified by:
        `toString` in class `ProgramNode`
      Returns:
        the node's string representation